Debian Bug report logs - #566162
space on empty playlist screen terminates ncmpcpp

version graph

Package: ncmpcpp; Maintainer for ncmpcpp is Damien Leone <damien.leone@fensalir.fr>; Source for ncmpcpp is src:ncmpcpp.

Reported by: Miroslaw Zalewski <miniopl@gmail.com>

Date: Thu, 21 Jan 2010 17:48:04 UTC

Severity: normal

Found in version ncmpcpp/0.4.1-1

Fixed in version ncmpcpp/0.5.2-1

Done: Damien Leone <damien.leone@fensalir.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Damien Leone <damien.leone@fensalir.fr>:
Bug#566162; Package ncmpcpp. (Thu, 21 Jan 2010 17:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miroslaw Zalewski <miniopl@gmail.com>:
New Bug report received and forwarded. Copy sent to Damien Leone <damien.leone@fensalir.fr>. (Thu, 21 Jan 2010 17:48:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miroslaw Zalewski <miniopl@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: space on empty playlist screen terminates ncmpcpp
Date: Thu, 21 Jan 2010 18:44:50 +0100
Package: ncmpcpp
Version: 0.4.1-1
Severity: normal

Pressing spacebar while on playlist screen (default one upon starting
ncmpcpp) causes program to terminate, with something similar to:
"terminate called after throwing an instance of 'std::out_of_range'
		what(): vector::_M_range_check'
drawn on screen. 

How to reproduce:

1. start ncmpcpp
2. empty playlist if needed (press 'c')
3. press spacebar


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.31-1-686 (SMP w/1 CPU core)
Locale: LANG=pl_PL.UTF-8, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ncmpcpp depends on:
ii  libc6                     2.10.2-2       GNU C Library: Shared libraries
ii  libcurl3-gnutls           7.19.7-1       Multi-protocol file transfer libra
ii  libgcc1                   1:4.4.2-9      GCC support library
ii  libncursesw5              5.7+20090803-2 shared libraries for terminal hand
ii  libstdc++6                4.4.2-9        The GNU Standard C++ Library v3
ii  libtag1c2a                1.6.1-1        TagLib Audio Meta-Data Library

ncmpcpp recommends no packages.

Versions of packages ncmpcpp suggests:
ii  desktop-file-utils            0.15-2     Utilities for .desktop files
ii  mpd                           0.15.7-1   Music Player Daemon

-- no debconf information




Reply sent to Damien Leone <damien.leone@fensalir.fr>:
You have taken responsibility. (Wed, 03 Mar 2010 21:42:09 GMT) Full text and rfc822 format available.

Notification sent to Miroslaw Zalewski <miniopl@gmail.com>:
Bug acknowledged by developer. (Wed, 03 Mar 2010 21:42:10 GMT) Full text and rfc822 format available.

Message #10 received at 566162-close@bugs.debian.org (full text, mbox):

From: Damien Leone <damien.leone@fensalir.fr>
To: 566162-close@bugs.debian.org
Subject: Bug#566162: fixed in ncmpcpp 0.5.2-1
Date: Wed, 03 Mar 2010 21:39:03 +0000
Source: ncmpcpp
Source-Version: 0.5.2-1

We believe that the bug you reported is fixed in the latest version of
ncmpcpp, which is due to be installed in the Debian FTP archive:

ncmpcpp_0.5.2-1.debian.tar.gz
  to main/n/ncmpcpp/ncmpcpp_0.5.2-1.debian.tar.gz
ncmpcpp_0.5.2-1.dsc
  to main/n/ncmpcpp/ncmpcpp_0.5.2-1.dsc
ncmpcpp_0.5.2-1_i386.deb
  to main/n/ncmpcpp/ncmpcpp_0.5.2-1_i386.deb
ncmpcpp_0.5.2.orig.tar.gz
  to main/n/ncmpcpp/ncmpcpp_0.5.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 566162@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damien Leone <damien.leone@fensalir.fr> (supplier of updated ncmpcpp package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 03 Mar 2010 20:06:15 +0100
Source: ncmpcpp
Binary: ncmpcpp
Architecture: source i386
Version: 0.5.2-1
Distribution: unstable
Urgency: low
Maintainer: Damien Leone <damien.leone@fensalir.fr>
Changed-By: Damien Leone <damien.leone@fensalir.fr>
Description: 
 ncmpcpp    - ncurses-based client for the Music Player Daemon (MPD)
Closes: 553382 566162
Changes: 
 ncmpcpp (0.5.2-1) unstable; urgency=low
 .
   * New upstream release.
   * debian/patches/visualizer-remove-warning.patch
      + Remove a g++ warning.
   * debian/patches/charset-use-free-to-release-memory.patch
      + Use free(3) instead of delete[] to release memory allocated by strdup(3).
 .
 ncmpcpp (0.5.1-1) unstable; urgency=low
 .
   * New upstream release.
 .
 ncmpcpp (0.5-1) unstable; urgency=low
 .
   * Update to new Standards-Version: 3.8.4
   * debian/patches/fix_typos_manpage.patch
      + Fix typos in the manpage.
 .
 ncmpcpp (0.5-0.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Switch to dpkg-source 3.0 (quilt) format.
   * New upstream release. (Closes: #566162)
   * Enable visualizer feature. (Closes: #553382)
   * Enable outputs feature.
   * Disable iconv.
   * Install ncmpcpp-completion.bash from doc as
       /etc/bash_completion.d/ncmpcpp.
Checksums-Sha1: 
 97bdc60172303be9dd9e182f078d2c9c9525bff3 1781 ncmpcpp_0.5.2-1.dsc
 7a5d12d22d27507792ac0d8c135d451f541e17fe 444497 ncmpcpp_0.5.2.orig.tar.gz
 559ac05674c0b1bfcebac7c30ead3721c9bd1b1d 36480 ncmpcpp_0.5.2-1.debian.tar.gz
 5a80dafd1adc29c27f8970f60f523c74ed3aae3e 248196 ncmpcpp_0.5.2-1_i386.deb
Checksums-Sha256: 
 e258032f3a0088103f0dbf57bcbefd9de2a4bf9318add9bb84a493a22fae6c71 1781 ncmpcpp_0.5.2-1.dsc
 c2955b93d72405b719f4d22527418f691bcc2d732ed9a9444036e712c665fd13 444497 ncmpcpp_0.5.2.orig.tar.gz
 cc1989035463a7512d713fca42a928aa65379599a6a76ccee19f2c6aece0b101 36480 ncmpcpp_0.5.2-1.debian.tar.gz
 253204121d0c2f4c74df1e12aa54cc8480144e5ab9ef00359b0100ff904770a6 248196 ncmpcpp_0.5.2-1_i386.deb
Files: 
 03437f69a50c75ca6660c2305ea3da37 1781 sound optional ncmpcpp_0.5.2-1.dsc
 bd8028378762a27924724ddf601ccc8d 444497 sound optional ncmpcpp_0.5.2.orig.tar.gz
 c1cf25d715f0c8599d6cdbfa34f136ef 36480 sound optional ncmpcpp_0.5.2-1.debian.tar.gz
 9f1940b22f73b469600db38f07ba9713 248196 sound optional ncmpcpp_0.5.2-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBAgAGBQJLjr8TAAoJEBxXDIkOS9CrGQwP/3IKSMr+9ofufbiD+xAhAzD/
bUI3eWHR5SSxamOGH+vQyre3JGrFIEFhagayO2aqFxdC2Ga931cbIF/06vzBpV4k
guy8XXYXjS0OZbBreuDK78xrQQOe54na86rEOJT7fITNzWFxYoHhYCWVGxwkN728
bKB07FrgV/5g6gfAe7FDV3Pt3lLgiMf5EyoMZ5BT6/S0TEalsgyX2RVczYjLgYBL
bKy9te39AzvfspOHll6DkYUheeBlMv56lh8/z8XHktQz60fav4mnZDT3Z31a594/
xXgzE28tzZd4m7uRLmA6QXfaeOt+e+TWmtWoOUj0PAPmv+7PlC2D0eBlFCpObyvE
d5KnB7Tgwthx1Mhk5HGx8yaH1pAILTrCe6HiJFDJxr32Fij8I/hDYaKB0WykfZs2
fmLMQMz1dy1En/F/XKF/0hs+Q3zh+VdlyJF5wSi05t9yG+736KwOGQLmHF1UfIc7
i+ScENCYApuzfVmTFics7UgEnCoYnkWw9sO5IBZS2Ua/rE0CJ1VjMcdWjTWguQlg
0cZ+95zhlEkzjR1vVUy+1mqIHPTuxEz9m4mE+1IdVMjIVGju1qDVburo6y3oYZNf
dEM5BSR9QVQb8L0ZXh6UPCMz/p1glg1mt5o0j0pIPpfRQ+ISeYk/aH0XGPcXtmtn
jHXNImwa0slyxSQI0afP
=hJth
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 11 Apr 2010 07:36:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 14:38:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.